#ifndef _KAZZO_REQUEST_H_
#define _KAZZO_REQUEST_H_
#define USB_CFG_VENDOR_ID       0xc0, 0x16
#define USB_CFG_DEVICE_ID       0xdc, 0x05
#define USB_CFG_DEVICE_VERSION  0x00, 0x01
#define USB_CFG_VENDOR_NAME     'o', 'b', 'd', 'e', 'v', '.', 'a', 't'
#define USB_CFG_VENDOR_NAME_LEN 8
#define USB_CFG_DEVICE_NAME     'k', 'a', 'z', 'z', 'o'
#define USB_CFG_DEVICE_NAME_LEN 5

enum request{
	REQUEST_ECHO = 0,
	REQUEST_PHI2_INIT,
	REQUEST_CPU_READ_6502, REQUEST_CPU_READ, 
	REQUEST_CPU_WRITE_6502, REQUEST_CPU_WRITE_FLASH,
	REQUEST_PPU_READ, REQUEST_PPU_WRITE,
	REQUEST_BOTH_FLASH_STATUS,
	REQUEST_CPU_FLASH_STATUS, REQUEST_CPU_FLASH_CONFIG_SET,
	REQUEST_CPU_FLASH_PROGRAM, REQUEST_CPU_FLASH_ERASE,
	REQUEST_CPU_FLASH_DEVICE,
	REQUEST_PPU_FLASH_STATUS, REQUEST_PPU_FLASH_CONFIG_SET,
	REQUEST_PPU_FLASH_PROGRAM, REQUEST_PPU_FLASH_ERASE,
	REQUEST_PPU_FLASH_DEVICE,
	REQUEST_VRAM_CONNECTION,

	//future expanstion
	REQUEST_DISK_STATUS_GET, REQUEST_DISK_READ, REQUEST_DISK_WRITE
};
enum {
	READ_PACKET_SIZE = 0x0100,
	FLASH_PACKET_SIZE = 0x0100
};
#endif
